Categories
Core

WooCommerce 4.1 Release Candidate 2

We have published another Release Candidate for WooCommerce 4.1 and we invite everyone to test out before final release on May 5. This release includes an updated fix version of WooCommerce Admin and Action Scheduler, along with some minor fixes.

See this PR for list of commits that we cherry-picked for this release.

Testing

To test, you can use our beta tester plugin or download the release from wordpress.org directly.

If you discover any bugs during the testing process, please let us know by logging a report in GitHub.

Thanks to all the testers and contributors!

8 replies on “WooCommerce 4.1 Release Candidate 2”

Hi, Does wc 4.1 final release will require a database upgrading from 4.01. If this is the case, are there any new tables? I’m asking because i need to create those tables manually for security reasons. Thanks in advance!

Like

Hello, I’ve upgraded on a staging site wc 4.01 to 4.1 with no problems, but i’m getting notices on my logs(lots of them) when clicking any sub-menu under analytics(orders, categories, coupons, etc.)
The analytics info is displayed fine, but each time i’m using it(only analytics) a notice like this is logged:

[01-May-2020 17:08:46 UTC] PHP Notice: Undefined index: items in /xxx.xxx/wp-includes/rest-api.php on line 1245

I’m using wordpress 5.4.1, woocommerce release candidate 2 and php 7.3.16. This only happens on rc2, wc 4.01 with exactly the same configuration on production site doesn’t make those notices appear´when using analytics.
Everything else works great! Thanks for making woocommerce such a great work!

Liked by 1 person

Thanks! Even if does not require new tables, is there a database update we’ll have to run(as in other releases) or the update from 4.01 is simple file-replacing/updating of plugin files?

Like

For an update from 4.0.1 to 4.1.0, a simple file-replace will work. However, I will still recommend updating using a proper update path to avoid any unforeseen problems.

Like

Another question , and i hope is the last one! I’ve upgraded on a staging site wc 4.01 to 4.1 with no problems, but i’m getting notices(lot’s of them) when clicking any sub-menu under analytics(orders, categories, coupons, etc.)
The info is displayed fine, but each time i’m using analytics a notice like this is logged(making hundreds of them in little time):

[01-May-2020 17:08:46 UTC] PHP Notice: Undefined index: items in /xxx.xxx/wp-includes/rest-api.php on line 1245

Do i have to worry about it?

I’m using wordpress the latest 5.4.1, woocommerce release candidate 2 and php 7.3.16, and didn’t change anything besides upgrading wc to 4.1 from 4.01. Those notices don’t appear on my production site using analytics with wc 4.01.
Everything else works great! Thanks a lot for making woocommerce such a fine work!

Like

Comments are closed.